#! /bin/sh -

# $Id: check_sbr_argument.sh,v 1.3 2014/03/04 18:18:33 fclement Exp $

F_WITH_SBR=`grep -C 1 '(sbr' *.fpp | grep function \
    | awk '{print $4}' | awk -F\( '{print $1}' | sort`
SUB_WITH_SBR=`grep -C 1 '(sbr' *.fpp | grep subroutine \
    | awk '{print $3}' | awk -F\( '{print $1}' | sort`

for fun in $F_WITH_SBR; do
    TODO="grep -E '$fun|$fun\(' *.fpp \
            | grep -v '$fun[ ,]' | grep -v ', $fun' \
            | grep -v '.fpp:C' \
            | grep -v 'function $fun'
            | grep -Ev '$fun\(sbr' \
            | grep -E '$fun\('"
    PB=`eval $TODO`
    if test -n "$PB"; then
        echo "$fun:"
        echo $PB
        echo
    fi
done

for sub in $SUB_WITH_SBR; do
    TODO="grep -Ew 'call $sub\(' *.fpp \
            | grep -Ev '$sub\(sbr'"
    PB=`eval $TODO`
    if test -n "$PB"; then
        echo "$sub:"
        echo $PB
        echo
    fi
done

exit 0
