(***********************************************************************)
(*                                                                     *)
(*                              Ref-indic                              *)
(*                                                                     *)
(*                        Refinement indicators                        *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright (c) 2013-2014 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: model.mli,v 1.2 2014/06/30 13:57:24 fclement Exp $ *)

open Worker;;

val init_engine : check_valid_dimension -> init_engine;;

val grad_engine : grad_engine;;

val optim_engine : coarse_parameter_to_fine_parameter -> optim_engine;;

val final_engine : final_engine;;

(**/**)

val get_data : unit -> float Umatrix.t;;
val get_dim : unit -> Unatural.t;;
